## commonj.sdo
Interface ChangeSummary.Setting

All Known Subinterfaces:
  EChangeSummarySetting

All Known Implementing Classes:
  EChangeSummarySettingImpl

Enclosing interface:
  ChangeSummary

    public static interface ChangeSummary.Setting

A setting encapsulates a `property` and a corresponding single value of the property's `type`.

Method Summary
`Property` `getProperty()` Returns the property of the setting.
`java.lang.Object` `getValue()` Returns the value of the setting.
`boolean` `isSet()` Returns whether or not the property is set.

Method Detail

### getProperty

    Property getProperty()

  Returns the property of the setting.

  Returns:
    the setting property.

### getValue

    java.lang.Object getValue()

  Returns the value of the setting.

  Returns:
    the setting value.

### isSet

    boolean isSet()

  Returns whether or not the property is set.

  Returns:
    `true` if the property is set.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.